%global gitversion 9db45842

Name:           lv2-mdaEPiano
Version:        0
Release:        0.3.git%{gitversion}%{?dist}
Summary:        A port of the MDA EPiano VST plugin to LV2

Group:          Applications/Multimedia
License:        GPLv3+
URL:            https://github.com/rekado/%{name}
Source0:        %{name}-%{version}-git%{gitversion}.tar.bz2
# check out specific git revision sh lv2-mdaEPiano-snapshot.sh %%gitversion
Source1:        lv2-mdaEPiano-snapshot.sh

BuildRequires:  lv2-devel
BuildRequires:  lv2-c++-tools-static
Requires:       lv2

%description
A port of the popular MDA EPiano VST plugin to LV2

%prep
%setup -q 
sed -i -e 's|-O $(WARNINGS)|$(CFLAGS)|'  src/Makefile

# Fix encoding issues
for file in LICENSE README.md; do
   sed 's|\r||' $file > $file.tmp
   iconv -f ISO-8859-1 -t UTF8 $file.tmp > $file.tmp2
   touch -r $file $file.tmp2
   mv -f $file.tmp2 $file
done

%build
cd src
make PREFIX=%{_prefix} CFLAGS="%optflags" %{?_smp_mflags}

%install
cd src
make install INSTALL_DIR=%{buildroot}%{_libdir}/lv2

%files
%doc LICENSE README.md
%{_libdir}/lv2/lv2-mdaEPiano.lv2

%changelog
* Fri May 11 2012 Brendan Jones <brendan.jones.it@gmail.com> 0-0.3.git9db45842
- Rebuild against new lv2 

* Tue Jan 24 2012 Brendan Jones <brendan.jones.it@gmail.com> 0-0.2.git9db45842
- Correct version, and update git script to remove .git
- Correct build flags, build requires lv2-c++-tools-static

* Sun Nov 27 2011 Brendan Jones <brendan.jones.it@gmail.com> 0-0.1.git5a4ab089
- Initial build

